commit:     af6967e8b99afee3c1485d86388b5bca6ff06b9d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 22 04:38:02 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jul 22 04:38:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af6967e8

dev-ruby/selenium-webdriver: loosen childprocess dependency

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../selenium-webdriver-3.142.7-r1.ebuild           | 40 ++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.7-r1.ebuild 
b/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.7-r1.ebuild
new file mode 100644
index 00000000000..764d80250be
--- /dev/null
+++ b/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.7-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+# NOTE: this package contains precompiled code. It appears that all
+# source code can be found at https://code.google.com/p/selenium/ but the
+# repository is not organized in a way so that we can easily rebuild the
+# suited shared object. We'll just try our luck with the precompiled
+# objects for now.
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_GEMSPEC="selenium-webdriver.gemspec"
+
+RUBY_QA_ALLOWED_LIBS="x_ignore_nofocus.so"
+QA_PREBUILT="*/x_ignore_nofocus.so"
+
+inherit ruby-fakegem
+
+DESCRIPTION="This gem provides Ruby bindings for WebDriver"
+HOMEPAGE="https://github.com/seleniumhq/selenium";
+
+LICENSE="Apache-2.0"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/childprocess-0.5:2
+       >=dev-ruby/rubyzip-1.2.2:*"
+
+all_ruby_prepare() {
+       # Loosen childprocess dependency
+       sed -i -e '/childprocess/ s/4.0/5.0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to